package cn.com.countrygarden.bi.main.model.eba;

import javax.persistence.*;
import java.math.BigInteger;


@Table(name = "tbm_maintain_task")
public class TbmMaintainTaskResult {

    @Column(name = "detail_name")
    private String detailName;

    @Column(name = "organ_name")
    private String organName;

    @Column(name = "cate_name")
    private String cateName;

    @Column(name = "create_month")
    private String createMonth;

    @Column(name = "repair_user")
    private String repairUser;

    @Column(name = "task_state")
    private int taskState;

    @Column(name = "task_state_name")
    private String taskStateName;

    @Column(name = "quantity")
    private int quantity;

    @Column(name = "curDateQuantity")
    private int curDateQuantity;

    @Column(name = "takingInTime")
    private int takingInTime;

    @Column(name = "finishedInTime")
    private int finishedInTime;

    @Column(name = "finished")
    private int finished;

    @Column(name = "recieved")
    private int recieved;

    @Column(name = "ration_duration")
    private int rationDuration;

    @Column(name = "finish_duration")
    private BigInteger finishDuration;

    @Column(name = "engineering")
    private int engineering;

    @Column(name = "if_paid")
    private int ifPaid;

    @Column(name = "total_price")
    private Double totalPrice;

    @Column(name = "latitude")
    private String latitude;

    @Column(name = "longitude")
    private String longitude;


    public String getDetailName() {
        return detailName;
    }

    public void setDetailName(String detailName) {
        this.detailName = detailName;
    }

    public String getOrganName() {
        return organName;
    }

    public void setOrganName(String organName) {
        this.organName = organName;
    }

    public String getCateName() {
        return cateName;
    }

    public void setCateName(String cateName) {
        this.cateName = cateName;
    }

    public String getCreateMonth() {
        return createMonth;
    }

    public void setCreateMonth(String createMonth) {
        this.createMonth = createMonth;
    }

    public int getQuantity() {
        return quantity;
    }

    public void setQuantity(int quantity) {
        this.quantity = quantity;
    }

    public int getCurDateQuantity() {
        return curDateQuantity;
    }

    public void setCurDateQuantity(int curDateQuantity) {
        this.curDateQuantity = curDateQuantity;
    }

    public int getTakingInTime() {
        return takingInTime;
    }

    public void setTakingInTime(int takingInTime) {
        this.takingInTime = takingInTime;
    }

    public int getFinishedInTime() {
        return finishedInTime;
    }

    public int getFinished() {
        return finished;
    }

    public void setFinished(int finished) {
        this.finished = finished;
    }

    public int getRecieved() {
        return recieved;
    }

    public void setRecieved(int recieved) {
        this.recieved = recieved;
    }

    public int getRationDuration() {
        return rationDuration;
    }

    public void setRationDuration(int rationDuration) {
        this.rationDuration = rationDuration;
    }

    public void setFinishedInTime(int finishedInTime) {
        this.finishedInTime = finishedInTime;
    }

    public BigInteger getFinishDuration() {
        return finishDuration;
    }

    public void setFinishDuration(BigInteger finishDuration) {
        this.finishDuration = finishDuration;
    }

    public String getRepairUser() {
        return repairUser;
    }

    public void setRepairUser(String repairUser) {
        this.repairUser = repairUser;
    }

    public int getEngineering() {
        return engineering;
    }

    public void setEngineering(int engineering) {
        this.engineering = engineering;
    }

    public int getTaskState() {
        return taskState;
    }

    public void setTaskState(int taskState) {
        this.taskState = taskState;
    }

    public String getTaskStateName() {
        return taskStateName;
    }

    public void setTaskStateName(String taskStateName) {
        this.taskStateName = taskStateName;
    }

    public int getIfPaid() {
        return ifPaid;
    }

    public void setIfPaid(int ifPaid) {
        this.ifPaid = ifPaid;
    }

    public Double getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(Double totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
}
